@php

  use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $usuario = $_SESSION['operador'];
    $Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
    $Centro_Sal = trim($Centro_Sal);
    $id_doc = trim( $var->desencriptar_AES($usuario['id_doc'], $usuario['x']) );
    $CLUES_Origen = '';
    $centro_salud = $soapclient->AdministrarCatalogos_get_CentroSalud($Centro_Sal, $CLUES_Origen,$wsClave);
    $CS  = new SimpleXMLElement(utf8_encode($centro_salud));
//print_r($id_doc); die();



    $Nombre =    $var->desencriptar_AES($usuario['nombre_user'], $usuario['x']);
    $Apellido1 = $var->desencriptar_AES($usuario['apellido_user_1er'], $usuario['x']);
    $Apellido2 = $var->desencriptar_AES($usuario['apellido_user_2do'], $usuario['x']);
    $Encargado = trim($Nombre).' '.trim($Apellido1).' '.trim($Apellido2);
@endphp
@extends('layouts.app')

@section('title', 'Listado de Notas de Urgencias ')
@section('breadcrumb')
    <li class="active">Listado de Notas de Urgencias</li>
@endsection
@section('styles')
    <style>

  #mnuCtx_Usuarios #tblCTmenu tr:hover{
    font-weight: 600; 
    cursor: pointer;
    color: #00631b;
    font-size: 16px;  
  }

  #mnuCtx_Usuarios #tblCTmenu tr:active{    
    font-size: 16px;    
    background-color: #848587;
    color: #fff;
  }

    </style>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/notify.js"></script>
<link rel="stylesheet" href="css/smoothness.datepick.css">

<link rel="stylesheet" href="css/jquery.datepick.css">
<script src="js/jquery.datepick.js"></script>
<script src="js/jquery.datepick-es.js"></script>

@section('content')

    <div class="row">
      
       <input type="hidden" name="h_centro_sal" id="h_centro_sal" value="{!! utf8_decode($Centro_Sal) !!}">
       <input type="hidden" name="h_id_complemento" id="h_id_complemento" value="{!! utf8_decode($id_doc) !!}">
        <div class="box box-primary">
              <div class="box-header with-border">
                  <h3 class="box-title">Búsquedas</h3>
                  <div class="box-tools pull-right">
                      <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                  </div>
              </div>

              <div class="box-body">
                  <div class="row" id="objConsultaNotas" name="objConsultaNotas">

                                        
                     
                      <div class="col-sm-3">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Inicio</span>
                          <input type="text" id="txtFechaIni" name="txtFechaIni" class="form-control" width="100%" height="100%" placeholder="[dd-mm-aaaa]" title="Proporciona la fecha de inicio del rango de búsqueda">
                        </div>
                      </div>
                      <div class="col-sm-3">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Cierre</span>
                          <input type="text" id="txtFechaFin" name="txtFechaFin" class="form-control" width="100%" height="100%" placeholder="[dd-mm-aaaa]" title="Proporciona la fecha de cierre del rango de búsqueda">
                        </div>
                      </div>

                      <div class="col-sm-3">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon">
                              <input type="checkbox" id="cp_completa" name="cp_completa">
                          </span>
                         <br>
                        <span class="input-group-addon">Visualizar notas sin procedimientos</span>
                   <!-- comentado para prueba addNewPaciente -->
                   
                         <div class="col-sm-3"></div>
                        </div>
                      </div>
                     

                      <div class="col-sm-3">
                        <a href="#" id="btn_listar_notas" name="btn_listar_notas" class="btn btn-sm btn-primary"><span class="fa fa-search" aria-hidden="true" title="Buscar referencia"></span> Buscar</a>

                        <a href="administrar-micuenta" class="btn btn-sm  btn-sm btn-danger">Cancelar</a>
                      </div>

                  </div>
                  <div id="searchContainer" name="searchContainer"></div>
              </div>




          </div>

          <div class="box box-primary" id="objEditarNota" name="objEditarNota">
          <div class="box-header with-border">
            <h3 class="box-title">Editar Nota</h3>
            <div class="box-tools pull-right">
              <button id="cmdCloseEditSolicitud" name="cmdCloseEditSolicitud" type="button" class="btn btn-box-tool" data-widget="collapse"  aria-pressed="true"><i class="fa fa-minus"></i></button>
            </div>
          </div>
        </div> <?php /* fin de objEditarReferencias */ ?>

        

        <!-- Modal -->

              <div class="modal fade" id="defaultModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                 <div class="modal-dialog modal-lg" role="document">
                    <div id="modalContent" name="modalContent" class="modal-content">X
                    </div>
                 </div>
              </div>

        <!-- Agregar modal para armar formato de impresión -->
        <!-- agregar iframe, y el iframe agregar en href  -->

           <div class="modal fade" id="objImprimirReferencias" >
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <!--Header -->
                  <div class="modal-header">
                    <button tyle="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                     <h4 class="modal-title">
                     <!-- <p>REFERENCIAS</p>-->
                     </h4>
                  </div>
                <!--contenido -->
                   <div class="modal-body" id="modalContenido" name="modalContenido">
                  </div>
                </iframe>
                 <!--Footer -->
                 <div class="modal-footer" style="text-align:center;" >
                 </div>

              </div>
             </div>

           </div>


      </div>

@endsection
<script src="{{asset('js/validar/medicamentos.js')}}"></script> 
@section('scripts')
 
  <script type="text/javascript">

    var reg_seleccionado = {clave_pac: '', id_solicitud: '', clues_origen: '', id_doc: '',  centro_sal: ''};    

    function setInicio() {
      $('#objEditarNota').hide(100);

      $("#mnuCtx_Usuarios").css("display", "none");
    };
    function SmoothScrollTo(id_or_Name, timelength=500){            
      $('html, body').animate({
        scrollTop: $(id_or_Name).offset().top-70
      }, timelength, function(){
        window.location.hash = id_or_Name;
      });
    };

    var ordenamiento = 'asc';

    function sortTable(obj, n, type) {
      var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount = 0;
      table = document.getElementById(obj);
      switching = true;
      
      dir = "asc"; 
      
      while (switching) {
        
        switching = false;
        rows = table.rows;
        
        for (i = 1; i < (rows.length - 1); i++) {
          
          shouldSwitch = false;          
          x = rows[i].getElementsByTagName("TD")[n];
          y = rows[i + 1].getElementsByTagName("TD")[n];
          
          if(type == 2){
            if (dir == "asc") {
              if (x.innerHTML.toLowerCase() > y.innerHTML.toLowerCase()) {      
                shouldSwitch= true;
                break;
              }
            } else if (dir == "desc") {
              if (x.innerHTML.toLowerCase() < y.innerHTML.toLowerCase()) {
        
                shouldSwitch = true;
                break;
              }
            }
          }else{
            if (dir == "asc") {
              if (Number(x.innerHTML) > Number(y.innerHTML)) {
                shouldSwitch= true;
                break;
              }
            } else if (dir == "desc") {
              if (Number(x.innerHTML) < Number(y.innerHTML)) {        
                shouldSwitch = true;
                break;
              }
            }
          }
          
        }
        if (shouldSwitch) {
          /*If a switch has been marked, make the switch
          and mark that a switch has been done:*/
          rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
          switching = true;
          //Each time a switch is done, increase this count by 1:
          switchcount ++;      
        } else {
          /*If no switching has been done AND the direction is "asc",
          set the direction to "desc" and run the while loop again.*/
          if (switchcount == 0 && dir == "asc") {
            dir = "desc";
            switching = true;
          }
        }
      }
    };

    
    $(document).on("click", "#tbl_sol_referencias th", function(){  //se invoca el boton que se crea en el formulario modal
      if(this.dataset.col){        
        sortTable('tbl_sol_referencias', this.dataset.col, this.dataset.tipo);
      }            
    });

    $(document).ready(function(){
      setTimeout(setInicio, 500);
      $('#txtFechaIni').datepick({dateFormat: 'dd-mm-yyyy'});
      $('#txtFechaFin').datepick({dateFormat: 'dd-mm-yyyy'});
      
      

    });

     $(document).on("click", "#btn_listar_notas", function(){  
     
        if( $('#cp_completa').is(':checked')) {
          var tipoconsulta = 1;
        }
        else{
          var tipoconsulta = 0;
        }
        if ($('#objConsultaNotas'+' #txtFechaIni').val() =='') {
          $.notify('Favor de capturar fecha de inicio');
           $('#objConsultaNotas #txtFechaIni').focus();
          return false;
        }

        if ($('#objConsultaNotas'+' #txtFechaFin').val() =='') {
          $.notify('Favor de capturar fecha de cierre');
           $('#objConsultaNotas #txtFechaFin').focus();
          return false;
        }

         var parametros = {        
           fecha_inicio: $('#objConsultaNotas'+' #txtFechaIni').val(),
           fecha_termino: $('#objConsultaNotas'+' #txtFechaFin').val(),
           centro_sal: '{!! $Centro_Sal !!}', tipoconsulta: tipoconsulta
          };   
         
         jqGetAjaxShort("Estadisticas_getLstNotasUrg","searchContainer", parametros);
        
    });

    function verNotaUrg(folio, centro_sal) {
     setTimeout(function(){
       
       //$("#objEditarNota").remove("#tblMedicamentos");
    
        if($('#objConsultaNotas #cmdCancelEditSolicitud').html() != '<i class="fa fa-plus"></i>')
          $('#objConsultaNotas #cmdCancelEditSolicitud').click();
        if($('#objConsultaNotas #cmdCloseEditSolicitud').html() == '<i class="fa fa-plus"></i>')
          $('#objConsultaNotas #cmdCloseEditSolicitud').click();
      }, 1000); 

      var parametros = {"folio": folio, "centro_sal": centro_sal, "editable": '0' };// 11 Jul 2018 . Parametros finales
     
      jqGetAjaxShort("ver_nota_urgencias","objEditarNota", parametros);
      $('#objEditarNota').show(200);
     // jqGetAjaxShort("referencia/mostrarUpSolicitudReferencia","objEditarReferencias", parametros);
    
    };
    
   

      // 08 Feb 2021 Janeth C. Busqueda procedimientos
    $(document).on('click', '#objEditarNota #impProc #btn_listar_proc', function () {  
      var Procedimiento = $('#objEditarNota #impProc #txtProcedimiento').val();               
      jqGetAjax_Modal("getLstBuscarProcedimiento","modalContent", {'Procedimiento': Procedimiento, 'imprimeObjeto': '1' }, 'defaultModal');
    });

    $(document).on('click', '#tblModalProcedimiento .procedimiento', function () {    
        var folio_nota = $('#objEditarNota #h_folio').val();
        var centro_sal= $('#h_centro_sal').val();
        var id_complemento = $('#h_id_complemento').val();
        $('#defaultModal').modal('hide');
        $tr = $(this);
        
        var clave = $tr.data('clave');
       
      
        jqGetAjaxShort("estadistica/addProcedimiento","tblProcedimientos", {'folio_nota': folio_nota, 'clave_cie9': clave, 'centro_sal': centro_sal, 'id_complemento': id_complemento });
        
        //setTimeout(recargarNotas, 500);

     });


    var quitarProcedimiento = function(cvecie9, folio, centro_sal){                             
        jqGetAjaxShort("del_procedimientoNota","tblProcedimientos", {'folio': folio, 'centro_sal': centro_sal, 'clave':  cvecie9 });
      };

    $(document).on('click', '#searchContainer #tbl_notas_urg #cmd_get_nota', function () {        
         
          jqGetAjax_Modal("Consulta_revisarNotas_NU_pdf","modalContenido", {'folio': this.dataset.folio, 'centro_sal': this.dataset.centro_sal, 'imprimeObjeto': '1' }, 'objImprimirReferencias');

          SmoothScrollTo('#objEditarNota');

      });


  function recargarNotas() {

        

      $('#objConsultaNotas #btn_listar_notas').click();  //funcion para invocar el evento de listar
      
     
    };



    $(document).on('click', '#objEditarNota #divCmdCerrarNota #cmdCerrarNota', function () {  
      //$('#objEditarNota').hide();
       $('#objEditarNota').empty();
      setTimeout(recargarNotas, 500);
    });
    
  // 15 Feb 2021 Janeth C. Modificar paciente
    $(document).on('click', '#searchContainer #tbl_notas_urg #cmd_editar_pac', function () {        
      
       var parametros = { "clave_pac": this.dataset.clave_pac, "tipoBusqueda": '6'}; 
       jqGetAjaxShort("ConsultaExterna_getLstPaciente","objEditarNota", parametros);
      
      $('#objEditarNota').show(200);
      SmoothScrollTo('#objEditarNota');
    });

     $(document).on('change', 'input[type=radio][name=mujerEdadFertil]', function (event) {
     
      switch($(this).val()) {
       case '1' :
         $('#divSemanasGest').removeClass('hidden');
        break;

        default:
          $('#divSemanasGest').addClass('hidden');
      }     
    });

    // ------------------------------Modificar Paciente----------------------------------------------------
  $(document).on('click', '#objEditarNota #divCmdRegistrar_pac #cmdActualizar_pac', function () {
    var Derechohabiencia = $('#edit_vCat_Derechohabiencia #vCat_Derechohabiencia').val();
      var folio = $('#folio_afiliacion #txtFolio').val();
      var Consecutivo = $('#folio_afiliacion #txtConsecutivo').val(); 
      var VigenciaIni = $('#vigencia #txtVigenciaIni').val(); 
      var VigenciaFin = $('#txtVigenciaFin').val();
      var NExp = $('#divNumExp #txtNExp').val();  
      var clave_pac = $('#h_clave_pac').val();
      
      var tipo = $('#objEditarNota #h_tipo').val();   // Variable para identificar el tipo de validacion: 1: CE, 2: Urg, 3: Hosp  

     if(Derechohabiencia =='')
     {
      $.notify("Favor de especificar -Derechohabiencia-");
      $("#edit_vCat_Derechohabiencia #vCat_Derechohabiencia").focus();
      return false  

     }


      if((Derechohabiencia =='0' || Derechohabiencia=='15') && ($("#folio_afiliacion #txtFolio").val().length < 10) ){
            $.notify("Favor de capturar -Folio Seguro Popular-");
            $("#folio_afiliacion #txtFolio").focus();
            return false  

        } 

   
       
      
      if((Derechohabiencia =='0' || Derechohabiencia=='15') && (Consecutivo < 1 || Consecutivo =='')) {

        $.notify("Favor de capturar -Consecutivo- de folio de afiliación");
        $("#folio_afiliacion #txtConsecutivo").focus();
         return false  

      }
  
      if((Derechohabiencia =='0' || Derechohabiencia=='15') && (VigenciaIni.length != 10)) {
        $.notify("Favor de capturar -Inicio de Vigencia-");
        $("#txtVigenciaIni").focus();
         return false  

      }

      if((Derechohabiencia =='0' || Derechohabiencia=='15') && (VigenciaFin.length != 10)) {
        $.notify("Favor de capturar -Fin de Vigencia-");
        $("#txtVigenciaFin").focus();
         return false  

      }

      var Curp = $('#curp #txtCurp').val();
      /*if(Curp.length < 18){
        $.notify("Es necesario que proporcione -Curp-", "error");
        $('#curp #txtCurp').focus();
        return false;
      } */
    //  var EntidadAfiliacion = $('#entidad_afiliacion #vCat_Entidades').val();
      var Certificado_nac = $('#CUN').val();
      var GpoSanguineo = $('#vCat_GrupoSanguineo').val();
      var Dificultad = $('#edit_vCat_Dificultad #vCat_Dificultad').val();  

      var GradoDificultad = $('#edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad').val();  
      var OrigenDificultad = $('#edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad').val();  
      var Dependencia = $('#vCat_Dependencia').val();  
      var Programa = $('#vCat_Programa').val(); 
      var TipoBeneficiario = $('#vCat_TipoBeneficiario').val();

      var Ocupacion = $('#vCat_Ocupacion').val();
      var Religion = $('#vCat_Religion').val();
      var Nacionalidad = $('#vCat_Nacionalidad').val();
      var EntidadNacimiento = $('#edit_vCat_Entidades_nac #vCat_Entidades').val();  
      var HablaLengInd = $('input:radio[name=hablaLengInd]:checked').val();

      if (HablaLengInd === undefined){
        HablaLengInd = 3;  }
      else   {
         HablaLengInd = HablaLengInd;
      } 

      var SeConsideraIndigena = $('#edit_vCat_SeConsideraIndigena #vCat_SeConsideraIndigena').val(); 

      var TipoLengua = $('#lenguasIndDiv #vCat_LenguasIndigenas').val();  
      var Nombres = $('#txtNombres').val();
      var PrimerAp = $('#txtPrimerAp').val();
      var SegundoAp = $('#txtSegundoAp').val();
      var FNac = $('#txtFNac').val();
      var HoraNac = $('#HoraNac').val();
      var Sexo = $('#edit_vCat_Sexo #vCat_Sexo').val();  
      var Genero = $('#edit_vCat_Genero #vCat_Genero').val();  
      var PerteneceIndigena = $('#indigena').val();
      var PerteneceMigrante = $('#migrante').val();
      var PerteneceProspera = $('#prospera').val();

      var SexoCurp = $('#objEditarNota #edit_vCat_SexoCurp #vCat_SexoCurp').val(); 
      var migrante = $('#objEditarNota #vCat_TipoMigrante').val(); 
      var paisProcedencia = $('#objEditarNota #edit_vCat_PaisProcedencia #vCat_Nacionalidad').val(); 
      var afromexicano = $('#objEditarNota #edit_vCat_Afromexicano #vCat_Afromexicano').val(); 
      var FolioProspera = '0';
      var ConsecutivoProspera = '0'; 
      var Pais = $('#tab_1 #vCat_Paises').val();
      var EntidadFederativa = $('#tab_1 #edit_vCat_Entidades_fed #vCat_Entidades').val();  
      var MunicipioDom = $('#tab_1 #edit_vCat_Municipio_dom #vCat_Municipios').val();  
      var LocalidadDom = $('#tab_1 #edit_vCat_Localidad_dom #vCat_Localidad').val();  
      if (LocalidadDom === undefined){
        LocalidadDom = $('#tab_1 #edit_vCat_Localidad_dom #vCat_Localidades').val();  }
      else   {
         LocalidadDom = LocalidadDom;
      } 

      var otra_localidad = $('#tab_1 #cnt_otra_localidad #txt_otralocalidad').val(); 

      var AceptaVisitaDom = $('#tab_1 #AceptaVisitaDom').val();  
      var CodigoPostal = $('#tab_1 #edit_vCat_CPostal_dom #vCat_CodigosPostales').val();
      if (CodigoPostal === undefined){
        CodigoPostal=''; }
      else   {
         CodigoPostal = CodigoPostal.substring(0, 5);
      } 
     
      var TipoAsentamiento = $('#tab_1 #edit_vCat_TipoAsent_dom #vCat_TipoAsentamiento').val();
      var Asentamiento = $('#tab_1 #edit_vCat_Asentamiento_dom #vCat_Asentamientos').val();  
      var TipoVialidad = $('#tab_1 #edit_vCat_TipoVialidad_dom #vCat_TipoVialidad').val();  
      var Calle = $('#tab_1 #txtCalle').val();
      
      var NumExterior = $('#tab_1 #txtNExt').val();
      var LetraExterior = $('#tab_1 #txtNExtL').val();
      var NumInterior = $('#tab_1 #txtNInt').val();
      var LetraInterior = $('#tab_1 #txtNIntL').val();
      var EntreCalles = $('#tab_1 #txtEntreCalles').val();
      var ClaveCatastral = $('#tab_1 #claveCatastralResidencia').val();
      var Telefono = $('#tab_1 #txtTelefono').val();
      var Celular = $('#tab_1 #txtCelular').val();
      var Email =  $('#tab_1 #txtEmail').val();

      if (Certificado_nac ==''){
       Certificado_nac ='';
      }
     
     if (FolioProspera =='0'){
       FolioProspera ='';
      }

       if ($('#AceptaVisitaDom').prop('checked')) {
           AceptaVisitaDom ='1';
           } else {
            AceptaVisitaDom ='0';
           }

       



     /* if (EntidadAfiliacion ==''){
        $.notify("Favor de capturar -Entidad de Afiliación-");
         $("#entidad_afiliacion #vCat_Entidades").focus();
        return false
      }
      */

      if (TipoBeneficiario ==''){
        $.notify("Favor de capturar -Tipo de Beneficiario-");
         $("#vCat_TipoBeneficiario").focus();
        return false
      }

      if (EntidadNacimiento ==''){
        $.notify("Favor de capturar -Entidad de Nacimiento-");
         $("#edit_vCat_Entidades_nac #vCat_Entidades").focus();
        return false
      }

      if (Nacionalidad ==''){
        $.notify("Favor de capturar -Nacionalidad-");
         $("#vCat_Nacionalidad").focus();
        return false
      }

    
 

      if(Nombres.length < 2){
        $.notify("Es necesario que proporcione -Nombre completo-", "error");
        $('#txtNombres').focus();
        return false;
      } 
    
     if(PrimerAp.length < 2){
        $.notify("Es necesario que proporcione -Primer Apellido-", "error");
        $('#txtPrimerAp').focus();
        return false;
      } 
     

      if(FNac.length < 10){
        $.notify("Es necesario que proporcione -Fecha de Nacimiento-", "error");
        $('#txtFNac').focus();
        return false;
      } 

      if (Sexo ==''){
        $.notify("Favor de capturar -Sexo-");
         $("#edit_vCat_Sexo #vCat_Sexo").focus();
      return false
      }

      if (Genero ==''){
        $.notify("Favor de capturar -Género-");
         $("#edit_vCat_Genero #vCat_Genero").focus();
      return false
      }

      if(SexoCurp  ==''){          
          $.notify("Es necesario que seleccione el Sexo CURP del usuario", "error");
          $('#objEditarNota #vCat_SexoCurp').focus();
          return;
        }

      if (EntidadFederativa ==''){
        $.notify("Favor de capturar -Entidad Federativa-");
         $("#tab_1 #edit_vCat_Entidades_fed #vCat_Entidades").focus();
      return false
      }

      if (MunicipioDom ==''){
        $.notify("Favor de capturar -Municipio-");
         $("#tab_1 #edit_vCat_Municipio_dom #vCat_Municipios").focus();
      return false
      }
       
      if (LocalidadDom ==''){
        $.notify("Favor de capturar -Localidad-");
         $("#tab_1 #edit_vCat_Localidad_dom #vCat_Localidades").focus();
      return false
      }
      if(Calle.length < 2){
        $.notify("Es necesario que proporcione -calle- del domicilio", "error");
        $('#tab_1 #txtCalle').focus();
        return false;
      } 
   
      /*if(EntreCalles.length < 2){
        $.notify("Es necesario que proporcione -Entre calles- del domicilio", "error");
        $('#tab_1 #txtEntreCalles').focus();
        return false;
      } */
 
     
      var NombresEmergencia = $('#tab_2 #txtNombresEmerg').val(); 
      var PrimerApEmergencia = $('#tab_2 #txtPrimerApEmerg').val();
      var SegundoApEmergencia = $('#tab_2 #txtSegundoApEmerg').val();
      var ParentescoEmergencia = $('#tab_2 #vCat_Parentescos').val();
      var PaisResidenciaEmergencia = $('#tab_2 #vCat_Paises').val();

     
      var EntidadEmergencia = $('#tab_2 #entFedEmerg #edit_vCat_Entidades_fed_emer #vCat_Entidades').val();
      var MunicipioEmergencia = $('#tab_2 #edit_vCat_Municipio_emer #vCat_Municipios').val();
      var LocalidadEmergencia = $('#tab_2 #edit_vCat_Localidad_emer #vCat_Localidad ').val();
      if (LocalidadEmergencia === undefined){
        LocalidadEmergencia='';
      } 
      var localidad_emer = $('#tab_2 #localidad_emer').val();

      var CodigoPostalEmergencia = $('#tab_2 #edit_vCat_CPostal_emer #vCat_CodigosPostales').val();
      if (CodigoPostalEmergencia === undefined){
        CodigoPostalEmergencia='';
      } else {
          CodigoPostalEmergencia = CodigoPostalEmergencia.substring(0, 5);
      } 
      var cp_emer = $('#tab_2 #cp_emer').val();
     

      var TipoAsentamientoEmergencia = $('#tab_2 #tipoAsentamiento_eme #vCat_TipoAsentamiento').val();

      var AsentamientoEmergencia = $('#tab_2 #edit_vCat_Asentamiento_eme #vCat_Asentamientos').val();
      var asentEmerg = $('#tab_2 #asentamiento_eme').val();
     
      if (AsentamientoEmergencia === undefined){
        AsentamientoEmergencia='';
      } 

      var TipoVialidadEmergencia = $('#tab_2 #tipoVialidad_eme #vCat_TipoVialidad').val();
      var CalleEmergencia = $('#tab_2 #CalleEmergencia').val();
      var NumExteriorEmergencia = $('#tab_2 #txtNExtEmer').val();
      var LetraExteriorEmergencia= $('#tab_2 #txtNExtLetEmer').val();
      var NumInteriorEmergencia = $('#tab_2 #txtNIntEmer').val();

      var LetraInteriorEmergencia = $('#tab_2 #txtNIntLetEmer').val();
      var TelefonoEmergencia = $('#tab_2 #TelefonoEmergencia').val();
      var TelefonoCelularEmergencia = $('#tab_2 #TelefonoCelularEmergencia').val();
      var EmailEmergencia = $('#tab_2 #EmailEmergencia').val();
      var poliza ='';


      if(TelefonoEmergencia.length > 0 && TelefonoEmergencia.length < 10) {
        $.notify("Es necesario que proporcione -Teléfono de emergencia- completo a 10 caracteres", "error");
        $('#tab_2 #TelefonoEmergencia').focus();
        return false;
      }

      if(TelefonoCelularEmergencia.length > 0 && TelefonoCelularEmergencia.length < 10) {
        $.notify("Es necesario que proporcione -Teléfono de Celular emergencia- completo a 10 caracteres", "error");
        $('#tab_2 #TelefonoCelularEmergencia').focus();
        return false;
      }

        PerteneceIndigena ='0';
        PerteneceProspera = '0';
        PerteneceMigrante = '0';
         
        if ($('#indigena').prop('checked')) {
           PerteneceIndigena ='1';
        }
         
        if ($('#prospera').prop('checked')) {
           PerteneceProspera ='1';
           FolioProspera = $('#folio_prospera').val();  
           ConsecutivoProspera = $('#ConsecutivoProspera').val(); 
        }

        if ($('#migrante').prop('checked')) {
           PerteneceMigrante ='1';
        }
        
        if (PerteneceProspera== '1' &&  FolioProspera.length < 14) {
          $.notify("Es necesario que proporcione -Folio Prospera- completo, mínimo 14 caracteres", "error");
          $('#folio_prospera').focus();
          return false;
        }

        if(Dificultad=='9') {
          GradoDificultad ='9';
          OrigenDificultad ='9';
        }

      var fnac= FNac + ' ' + HoraNac;

      var Edad = Math.trunc(restaFechas(FNac , '{!! date("d/m/Y") !!}') /(365.25));   

    
      if (Edad< 18 && NombresEmergencia =='') {
        $.notify("Para menores de edad es necesario que proporcione el nombre del contacto en caso de emergencia", "error");
   
       $('[href="#tab_2"]').tab('show');
       $('#tab_2 #txtNombresEmerg').focus();
        return false; 
      }  
      if ((Edad< 18) && (PrimerApEmergencia =='' && SegundoApEmergencia =='')) {
        $.notify("Para menores de edad es necesario que proporcione al menos un apellido del contacto en caso de emergencia", "error");
        //activar pestaña 2
        $('[href="#tab_2"]').tab('show');
        $('#tab_2 #txtPrimerApEmerg').focus();
        return false; 
      }

      if ( (Edad< 18) && (TelefonoEmergencia =='' && TelefonoCelularEmergencia =='')) {
        $.notify("Para menores de edad es necesario que proporcione al menos un telefono de contacto a 10 digitos en caso de emergencia", "error");
        $('[href="#tab_2"]').tab('show');
        $('#tab_2 #TelefonoEmergencia').focus();

        return false; 
      }  
      
       

     
        //------------------------------Envio de parametros -----------------------
      var parametros = {"centro_sal": '{!! $Centro_Sal !!}',
                        "clave_pac": clave_pac+'',
                        "NExp": $.trim(NExp)+'',
                        "Nombre": $.trim(Nombres)+'',
                        "PrimerAp": $.trim(PrimerAp)+'',
                        "SegundoAp":$.trim(SegundoAp)+'',
                        "Curp": $.trim(Curp)+'',
                        "FechaNac": $.trim(fnac)+'',
                        "HoraNac": $.trim(HoraNac)+'',
                        "CUN": $.trim(Certificado_nac)+'',
                        "Sexo": Sexo+'',
                        "GSanguineo": GpoSanguineo+'',
                        "Religion": Religion+'',
                        "EntidadNac": EntidadNacimiento+'',
                        "Nacionalidad": Nacionalidad+'',
                        "TipoBeneficiario": TipoBeneficiario+'',
                        "OcupacionHab": Ocupacion+'',
                        "PerteneceIndigena":SeConsideraIndigena+'',
                        "PerteneceMigrante": $.trim(PerteneceMigrante)+'',
                        "PerteneceProspera":$.trim(PerteneceProspera)+'',
                        "FolioProspera": $.trim(FolioProspera)+'',
                        "ConsecutivoProspera": $.trim(ConsecutivoProspera)+'',
                        "HablaLIndigena": HablaLengInd+'',
                        "LenguaIndigena": TipoLengua+'',
                        "DerechoHabiencia": Derechohabiencia +'',
                        "FolioDerechoHab": $.trim(folio)+'',
                        "ConsecutivoDerechoHab": $.trim(Consecutivo)+'',
                        "VigenciaIniDerechoHab": $.trim(VigenciaIni)+'', 
                        "VigenciaFinDerechoHab": $.trim(VigenciaFin) +'',
                       // "EntidadAfiliacion":EntidadAfiliacion +'',
                        "DependenciaAfiliacion":Dependencia +'',
                        "ClavePrograma": $.trim(Programa) +'',
                        "PaisResidencia": Pais+'',
                        "EntidadResidencia": EntidadFederativa+'',
                        "MunicipioResidencia": MunicipioDom+'',
                        "LocalidadResidencia": LocalidadDom+'',
                        "AceptaVisitaDom": AceptaVisitaDom+'',
                        "CodigoPostalResidencia": CodigoPostal+'',
                        "AsentamientoResidencia": Asentamiento+'',
                        "TipoVialidadResidencia": TipoVialidad+'',
                        "TipoAsentamientoResidencia": TipoAsentamiento+'',
                        "CalleResidencia": $.trim(Calle)+'',
                        "NumeroExtResidencia": $.trim(NumExterior)+'',
                        "LetraExtResidencia": $.trim(LetraExterior)+'',
                        "NumeroIntResidencia": $.trim(NumInterior)+'',
                        "LetraIntResidencia": $.trim(LetraInterior)+'',
                        "EntreCallesResidencia": $.trim(EntreCalles)+'',
                        "ClaveCatastralResidencia": $.trim(ClaveCatastral)+'',
                        "TelefonoResidencia": $.trim(Telefono)+'',
                        "TelefonoCelularResidencia": $.trim(Celular)+'', 
                        "EmailPaciente": $.trim(Email)+'',
                        "NombreEmergencia": $.trim(NombresEmergencia)+'', 
                        "PrimerApEmergencia": $.trim(PrimerApEmergencia)+'', 
                        "SegundoApEmergencia": $.trim(SegundoApEmergencia)+'', 
                        "ParentescoEmergencia": ParentescoEmergencia+'', 
                        "PaisEmergencia": PaisResidenciaEmergencia+'', 
                        "EntidadEmergencia": EntidadEmergencia+'', 
                        "MunicipioEmergencia": MunicipioEmergencia+'', 
                        "LocalidadEmergencia": LocalidadEmergencia+'', 
                        "CodigoPostalEmergencia": CodigoPostalEmergencia+'', 
                        "TipoAsentamientoEmergencia": TipoAsentamientoEmergencia+'', 
                        "AsentamientoEmergencia": AsentamientoEmergencia+'', 
                        "TipoVialidadEmergencia": TipoVialidadEmergencia+'', 
                        "CalleEmergencia": $.trim(CalleEmergencia)+'', 
                        "NumeroExtEmergencia": $.trim(NumExteriorEmergencia)+'', 
                        "LetraExtEmergencia": $.trim(LetraExteriorEmergencia)+'', 
                        "NumeroIntEmergencia": $.trim(NumInteriorEmergencia)+'', 
                        "LetraIntEmergencia": $.trim(LetraInteriorEmergencia)+'', 
                        "TelefonoEmergencia": $.trim(TelefonoEmergencia)+'', 
                        "TelefonoCelularEmergencia": $.trim(TelefonoCelularEmergencia)+'', 
                        "EmailEmergencia": $.trim(EmailEmergencia)+'', 
                        "ID_DIFICULTAD": Dificultad+'',
                        "poliza": $.trim(poliza)+'', 
                        "id_disc_grado": GradoDificultad+'',
                        "id_disc_origen": OrigenDificultad+'',
                        "id_genero": Genero+'',
                        "id_sexoCurp": SexoCurp+'',
                        "id_migrante": migrante+'',
                        "id_pais_procedencia": paisProcedencia+'',
                        "afromexicano": afromexicano+'',
                        "tipo": tipo+'',
                        "otra_localidad": $.trim(otra_localidad)+''
                        };
      
   

    
    
    jqGetAjaxShort("ActualizarFiliacion","divCmdRegistrar_pac", parametros);
 
   
      
  }); 

    $(document).on('change', '#objEditarNota #vCat_TipoMigrante', function () { 
      var idTipoMigrante = $(this).val();
      //console.log(idTipoMigrante);
      switch (idTipoMigrante) {
        case '0':
           $('#objEditarNota #divPaisProc').addClass('hidden');

          break;

        case '1':
          $('#objEditarNota #divPaisProc').removeClass('hidden');
          

           jqGetAjaxShort("vCat_Nacionalidad","edit_vCat_PaisProcedencia", {"id_Nacionalidad": '142', "disable":  '1' });

          break;  

        case '2':
          $('#objEditarNota #divPaisProc').removeClass('hidden');
           jqGetAjaxShort("vCat_Nacionalidad","edit_vCat_PaisProcedencia", {});
          

          

          break; 

        case '3':
          $('#divPaisProc').removeClass('hidden');
          
          jqGetAjaxShort("vCat_Nacionalidad","edit_vCat_PaisProcedencia", {"id_Nacionalidad": '142', "disable":  '1' });

          break; 
            
        default:
          $('#divPaisProc').addClass('hidden');
      }

     
      // jqGetAjaxShort("vCat_Municipios","edit_vCat_Municipio_dom", {"entidad_id": idEntidad });
      });

      $(document).on('click', '#objEditarNota edit_vCat_PaisProcedencia #vCat_Nacionalidad', function () { 
      var idTipoNac = $(this).val();
      var idTipoMigrante = $('#edit_vCat_PaisProcedencia #vCat_Nacionalidad').val();

           $(this).find('[value="142"]').remove();
  });



  $(document).on('click', '#divCmdRegistrar_pac #cmdContinuar', function () {
      $('#objEditarNota').hide();
     //   setTimeout(recargarNotas, 500);
    }); 
  
  // 31 mayo 2022 validar motivo de alta defuncion
  $(document).on('change', '#impHojaUrg #vCat_MotivoAltaUrgencias', function () { 
      var id_motivoalta = $(this).val();
    
      switch(id_motivoalta) {
       case '5' :
        $('#divDefMP').removeClass('hidden');
        $('#impHojaUrg #destinoAlta').addClass('hidden'); 
        break;
       case '3' :
         $('#destinoAlta').removeClass('hidden'); 
        break;

        default:
          $('#divDefMP').addClass('hidden');
          $('#impHojaUrg #destinoAlta').addClass('hidden'); 
      }
    
      });


  // 01 junio 2022 validar MP
    $(document).on('change', 'input[type=radio][name=optMP]', function (event) {
    
      switch($(this).val()) {
       case '2' :
         $('#divFolioDefuncion').removeClass('hidden');
        break;

        default:
          $('#divFolioDefuncion').addClass('hidden');
      }     
    });
 $(document).on('change', '#impHojaUrg #cnt_menores_edad #vCat_Edas', function () { 
      var id_Edas = $(this).val();
      var txtSobres = document.getElementById("txtSobres");
      
      


      switch(id_Edas) {
       case '1' :
        txtSobres.setAttribute("max",20);
      txtSobres.setAttribute("min",1);
      $('#impHojaUrg #cnt_menores_edad #txtSobres').val('1'); 
        break;
       case '2' :
        txtSobres.setAttribute("max",20);
      txtSobres.setAttribute("min",1);
      $('#impHojaUrg #cnt_menores_edad #txtSobres').val('1'); 
        break;
       case '3' :
        txtSobres.setAttribute("max",0);
      txtSobres.setAttribute("min",0);
         $('#impHojaUrg #cnt_menores_edad #txtSobres').val('0'); 
        break; 

        default:
           $('#impHojaUrg #cnt_menores_edad #txtSobres').val('0'); 
      }
    
     });
 

  $(document).on('click', '#objEditarNota #impHojaUrg #btn_actualizar_nUrg', function () {
      var mujer_fertil = $('input:radio[name=mujerEdadFertil]:checked').val();
       if (mujer_fertil === undefined) {
          mujer_fertil = $('#objEditarNota #h_mujer').val();
       }

      // validar si motivo de alta es defuncion capture MP
      var motivoalta= $('#impHojaUrg #vCat_MotivoAltaUrgencias').val();
      var optMP = $('input:radio[name=optMP]:checked').val();
      var folioDef= $('#divFolioDefuncion #folioDefuncion').val();
      var cs_destinoAlta =  $('#impHojaUrg #vcat_centrosalud_refe').val();
      if (optMP === undefined) {
          optMP = '0';
      }
      
      if (motivoalta == '5'  && optMP == '0'){
        $.notify('Seleccione si dió aviso al MP por Defunción.', "error");
        $('#divDefMP #optMP').focus();
        return false;
      }

      if (motivoalta == '5'  && optMP == '2'  && (folioDef =='0' || folioDef.length < 9)){
        $.notify('Capture el Folio de Defunción Correcto.', "error");
        $('#divFolioDefuncion #folioDefuncion').focus();
        return false;
      }

       if (motivoalta == '3'  && cs_destinoAlta == '') {
        $.notify('Capture la unidad médica a la que fué enviado.', "error");
        $('#destinoAlta #vcat_centrosalud_refe').focus();
        return false;
      }
     
      if (motivoalta == '5'  && optMP == '1'){
        folioDef ='0';
      }
      if (motivoalta != '3' ){
        cs_destinoAlta ='0';
      }
      var iras =  $('#impHojaUrg #cnt_menores_edad #vCat_Iras').val();
      var edas =  $('#impHojaUrg #cnt_menores_edad #vCat_Edas').val();
      var sobres =   $('#impHojaUrg #cnt_menores_edad #txtSobres').val(); 
 
      var parametros = {        
           id_tipourgencia: $('#impHojaUrg'+' #vCat_TipoUrgencia').val(),
           id_motivoatencion: $('#impHojaUrg'+' #vCat_MotivoAtencionUrgencias').val(),
           id_tipodecama: $('#impHojaUrg'+' #vCat_TipoDeCamaUrgencias').val(),
           id_motivoalta: $('#impHojaUrg'+' #vCat_MotivoAltaUrgencias').val(),
           mujer_fertil: mujer_fertil,
           semanasGest: $('#objEditarNota #divSemanasGest #edadGesta').val(),
           folio_nota: $('#objEditarNota #h_folio').val(),
           centro_sal: '{!! $Centro_Sal !!}',
           MP: optMP,
           folioDef: folioDef,
           centro_sal_destino: cs_destinoAlta,
           iras: iras, edas: edas, sobres: sobres
          };  
        
       jqGetAjaxShort("upd_hojaUrgencias","divProcesaNUrg", parametros);
   
  });    

   $(document).on('click', '#objEditarNota #curp #cmdBuscarCurp', function () {  
   
     var Curp = $('#objEditarNota #curp #txtCurp').val();
     
     var nombres = $('#objEditarNota #txtNombres').val();
     var primerAp = $('#objEditarNota #txtPrimerAp').val();
     var segundoAp = $('#objEditarNota #txtSegundoAp').val();
     var fnac =  $('#objEditarNota #txtFNac').val(); 
  

    if(Curp.length == 18){
      jqGetAjax_Modal('getInfoPorCurp','modalContent',  {curp:Curp}, 'defaultModal');
    }
    else { 
      
      jqGetAjax_Modal('buscarCurpGeneralesWs','modalContent',  {nombres:nombres, primerAp: primerAp, segundoAp: segundoAp, fnac: fnac }, 'defaultModal');
    }



  });

  $(document).on('click', '#objBusqGralesRenapo #btn_buscar_ws', function () { 
     var nombres = $('#objBusqGralesRenapo #nombre').val();
     var primerAp = $('#objBusqGralesRenapo #apellidop').val();
     var segundoAp = $('#objBusqGralesRenapo #apellidom').val();
     var fNac= $('#objBusqGralesRenapo #txtFNac').val();
     if (fNac==""){
       $.notify("Favor de capturar fecha de nacimiento", "error");
     } else {
      jqGetAjaxShort('getCurpPorDatos','tblModalBusquedaWs',  {nombres:nombres, primerAp: primerAp, segundoAp: segundoAp, fNac: fNac});
     }
    
  });   

//tblModalGralesWs
$(document).on('click', '#tblModalGralesWs .beneficiadoCurpWs', function () {    
      $('#defaultModal').modal('hide');
      $tr = $(this);
       
         $('#txtFNac').datepick({dateFormat: 'dd/mm/yyyy'}); 
         $("#curp #txtCurp").val($tr.data('curp'));
         $("#txtPrimerAp").val($tr.data('paterno'));
         $("#txtSegundoAp").val($tr.data('materno'));
         $("#txtNombres").val($tr.data('nombre'));
         $("#txtFNac").val($tr.data('nacimiento'));
         var Edad = Math.trunc(restaFechas($tr.data('nacimiento') , '{!! date("d/m/Y") !!}') /(365.25));
         
         $("#edit_vCat_Entidades_nac #vCat_Entidades").val( $tr.data('entidad_nac') );
        // $("#edit_vCat_Entidades_fed #vCat_Entidades").val( $tr.data('entidad_nac') );
        entidad=  $("#edit_vCat_Entidades_nac #vCat_Entidades").val();

     //   jqGetAjaxShort("vCat_Municipios","edit_vCat_Municipio_dom", {"entidad_id": entidad  });
            
      $("#edit_vCat_SexoCurp #vCat_SexoCurp").val( $tr.data('sexo') );
         

      });



$(document).on('click', '#tblModalBeneficiadoCurp .beneficiadoCurp', function () {    
      $('#defaultModal').modal('hide');
      $tr = $(this);
       
         $('#txtFNac').datepick({dateFormat: 'dd/mm/yyyy'}); 
         
         $("#txtPrimerAp").val($tr.data('paterno'));
         $("#txtSegundoAp").val($tr.data('materno'));
         $("#txtNombres").val($tr.data('nombre'));
         $("#txtFNac").val($tr.data('nacimiento'));
         var Edad = Math.trunc(restaFechas($tr.data('nacimiento') , '{!! date("d/m/Y") !!}') /(365.25));
         var entidad ='';          
          $("#divEdad").html(Edad+" año(s)");

        $("#edit_vCat_Entidades_nac #vCat_Entidades").val( $tr.data('entidad_nac') );
        entidad=  $("#edit_vCat_Entidades_nac #vCat_Entidades").val();
        
       // jqGetAjaxShort("vCat_Municipios","edit_vCat_Municipio_dom", {"entidad_id": entidad  });
         $("#edit_vCat_SexoCurp #vCat_SexoCurp").val( $tr.data('sexo') );
     

      });

  // 23 Sept 19 - Janeth Cuevas - Recuperar listado de municipios en base a la entidad seleccionada 
    $(document).on('change', '#edit_vCat_Entidades_fed #vCat_Entidades', function () { 
      var idEntidad = $(this).val();
      //console.log(idEntidad);
      jqGetAjaxShort("vCat_Municipios","edit_vCat_Municipio_dom", {"entidad_id": idEntidad });
      });

    // 23 Sept 19 - Janeth Cuevas - Recuperar listado de localidades y CP en base al municipio seleccionado
    $(document).on('change', '#edit_vCat_Municipio_dom #vCat_Municipios', function () {                      
        var idEntidad = $('#edit_vCat_Entidades_fed #vCat_Entidades').val(); 
        var idMunicipio = $('#edit_vCat_Municipio_dom #vCat_Municipios').val();
        jqGetAjaxShort("vCat_Localidades","edit_vCat_Localidad_dom", {"entidad_id": idEntidad, "municipio_id": idMunicipio });
        
        jqGetAjaxShort("vCat_CodigoPostal","edit_vCat_CPostal_dom", {"entidad_id": idEntidad, "municipio_id": idMunicipio });
      });
 
    // 23 Sept 19 - Janeth Cuevas - Recuperar listado de Asentamientos 
    $(document).on('change', '#edit_vCat_Localidad_dom #vCat_Localidad', function () { 
      var idEntidad = $('#edit_vCat_Entidades_fed #vCat_Entidades').val(); 
      var idMunicipio = $('#edit_vCat_Municipio_dom #vCat_Municipios').val();
      var idLocalidad = $('#edit_vCat_Localidad_dom #vCat_Localidad').val();
      var id_asentamiento = '';

        if(idLocalidad == '9999' ){ 
         $('#cnt_otra_localidad').removeClass('hidden'); } else {   $('#cnt_otra_localidad').addClass('hidden');
          $('#cnt_otra_localidad #txt_otralocalidad').val('');
            }
            
      //console.log(idEntidad,idMunicipio, idLocalidad, id_asentamiento);
      

      jqGetAjaxShort("vCat_Asentamiento","edit_vCat_Asentamiento_dom", {"entidad_id": idEntidad, "municipio_id": idMunicipio, "localidad_id": idLocalidad, "id_asentamiento": id_asentamiento });
      });

    // 26 Sept 19 - Janeth Cuevas - Recuperar listado de Asentamientos 
    $(document).on('change', '#edit_vCat_TipoAsent_dom #vCat_TipoAsentamiento', function () { 
      var idEntidad = $('#edit_vCat_Entidades_fed #vCat_Entidades').val(); 
      var idMunicipio = $('#edit_vCat_Municipio_dom #vCat_Municipios').val();
      var idLocalidad = $('#edit_vCat_Localidad_dom #vCat_Localidad').val();
      var id_asentamiento = '';
     
      
      //jqGetAjaxShort("vCat_Asentamiento","edit_vCat_Asentamiento_dom", {"entidad_id": idEntidad, "municipio_id": idMunicipio, "localidad_id": idLocalidad, "id_asentamiento": '' });
      });

  //----------------------------datos de emergencia -----------------------------------------------------------
    // 26 Sept 19 - Janeth Cuevas - Recuperar listado de municipios en base a la entidad seleccionada 
    $(document).on('change', '#edit_vCat_Entidades_fed_emer #vCat_Entidades', function () { 
      var idEntidad = $(this).val();
      //console.log(idEntidad);
      jqGetAjaxShort("vCat_Municipios","edit_vCat_Municipio_emer", {"entidad_id": idEntidad });
      });

    // 26 Sept 19 - Janeth Cuevas - Recuperar listado de localidades y CP en base al municipio seleccionado
    $(document).on('change', '#edit_vCat_Municipio_emer #vCat_Municipios', function () {                      
        var idEntidad = $('#edit_vCat_Entidades_fed_emer #vCat_Entidades').val(); 
        var idMunicipio = $('#edit_vCat_Municipio_emer #vCat_Municipios').val();
        $('#localidad_emer').addClass('hidden');
        $('#cp_emer').addClass('hidden');
        
        
        jqGetAjaxShort("vCat_Localidades","edit_vCat_Localidad_emer", {"entidad_id": idEntidad, "municipio_id": idMunicipio });
        
        jqGetAjaxShort("vCat_CodigoPostal","edit_vCat_CPostal_emer", {"entidad_id": idEntidad, "municipio_id": idMunicipio });
      });

     // 26 Sept 19 - Janeth Cuevas - Recuperar listado de Asentamientos 
    $(document).on('change', '#edit_vCat_Localidad_emer #vCat_Localidad', function () { 
      var idEntidad = $('#edit_vCat_Entidades_fed_emer #vCat_Entidades').val(); 
      var idMunicipio = $('#edit_vCat_Municipio_emer #vCat_Municipios').val();
      var idLocalidad = $('#edit_vCat_Localidad_emer #vCat_Localidad').val();
      var id_asentamiento = '';
      //console.log(idEntidad,idMunicipio, idLocalidad, id_asentamiento);
      $('#asentamiento_eme').addClass('hidden');
      jqGetAjaxShort("vCat_Asentamiento","edit_vCat_Asentamiento_eme", {"entidad_id": idEntidad, "municipio_id": idMunicipio, "localidad_id": idLocalidad, "id_asentamiento": id_asentamiento });
      });

 
  </script>

@endsection
